import { message, notify } from '@/utils/message.js';

export function doubleUserLogin(res) {
  let userArray = JSON.parse(sessionStorage.getItem('userArray'));
  if (!userArray || !Array.isArray(userArray)) {
    userArray = [];
    // localStorage.setItem('userArray', JSON.stringify(userArray));
  }
  if (userArray.length == 0 || userArray.length >= 2) {
    userArray = [];

    userArray.push(res);
    userArray = sessionStorage.setItem('userArray', JSON.stringify(userArray));
    notify('请使用人员登录验证', 'success');

    return false;
  } else if (userArray.length == 1) {
    if (userArray[0].user_id == res.user_id) {
      notify('您已登录，请勿重复登录！', 'danger');
      return false;
    }
    userArray.push(res);
    userArray = sessionStorage.setItem('userArray', JSON.stringify(userArray));
    // sessionStorage.setItem('userInfo', JSON.stringify(res));

    return true;
  }
}
